package leigh.perfect;

import com.mchange.v2.c3p0.ComboPooledDataSource;

import java.beans.PropertyVetoException;

public class PerfectDatasource {
    public static ComboPooledDataSource getDataSource() throws PropertyVetoException {
        ComboPooledDataSource cpds = new ComboPooledDataSource();
        cpds.setDriverClass("com.mysql.cj.jdbc.Driver");
        cpds.setJdbcUrl("jdbc:mysql://db1.leigh-co.com/music");
        cpds.setUser("music");
        cpds.setPassword(System.getenv("MUSIC_PW"));
        return cpds;
    }
}
